Subject: Re: bug#77803: [PATCH v2] Don't indent variable names to their declarator expression (bug#77803)

From: Dmitry Gutov <[email-masked]>
Date: Sun, 20 Apr 2025 03:38:38 +0300

On 20/04/2025 01:58, Konstantin Kharlamov wrote:

>> https://github.com/mooz/js2-mode/issues/1 is when it was added, then
>> see
>> other reports in the tracker about refining it and adding support for
>> different cases.
> 
> Oooh… it seems to be a misunderstanding. The user wasn't asking to
> indent every declaration to the declarator (as it was in ts-tsx-mode
> and as it seems now in jsx-mode). The user pointed out the indentation
> wasn't working at all, and showed "expected indentation", where there
> are 4 spaces used; however it is an accident that 4 spaces are equal to
> "var" + space.

There were no protests from the user, and as I said, you can search the 
tracker for other requests for refining this indentation method.

Or see https://debbugs.gnu.org/8576, for when this feature was added to 
js-mode.